import { defineComponent } from "vue";
import styles from './index.module.less';
import ColHeader from '@/components/col-header';
import { Sticky } from "vant";
import ColSearch from "@/components/col-search";
import PracticeItem from "./practice-item";

export default defineComponent({
  name: "practiceClass",
  methods: {
    onSearch(_file: any) {
      console.log(_file)
    }
  },
  render() {
    return (
      <>
        <Sticky style={{ background: 'var(--van-primary)' }}>
          <ColHeader title="陪练课" isFixed={false} border={false} background="green" />
          <ColSearch placeholder="请输入老师名称/课程名称" inputBackground="white" background="var(--van-primary)" onSearch={this.onSearch} />
          {/* <div class={styles.filterSection}>
            <div></div>
          </div> */}
        </Sticky>

        <div class={styles.practiceList}>
          {[1, 2, 3].map(item => (
            <PracticeItem />
          ))}
        </div>
      </>
    )
  }
})