import { Cell, Icon, Image, Rate } from "vant";
import { defineComponent } from "vue";
import styles from './practice-item.module.less';

import iconEdu from './images/icon_edu.png';
import iconMusicMan from './images/icon_music_man.png';
import iconNew from './images/icon_new.png';

export default defineComponent({
  name: 'practiceItem',

  render() {
    return (
      <Cell center border={false} class={styles.practiceItem}
        v-slots={{
          icon: () => (<div class={styles.piCoverContainer}>
            <Image class={styles.piCover} fit="cover" src="https://cdn.jsdelivr.net/npm/@vant/assets/cat.jpeg" />
            <Image src={iconMusicMan} class={styles.tag} />
            {/* <Image src={iconNew} class={styles.tag} /> */}
          </div>),
          title: () => <div>
            <div class={[styles.piTitle, 'van-ellipsis']}>
              <p class={styles.piNameSubject}>
                <span class={styles.piName}>陪练课</span>
                <span class={styles.subject}>圆号</span>
                <span class={styles.subject}>大号</span>
              </p>
              <Rate readonly modelValue={3} iconPrefix="iconfont" color="#FFC459" void-icon="star_default" icon="star_active" size={11} />
            </div>

            <div class={styles.piContent}>
              <p class={styles.edu}>
                <Icon size={14} name={iconEdu} style={{ paddingRight: '5px' }} />
                <span>中国音乐学院</span>
              </p>
              <p class={styles.courseInfo}>
                <span class={styles.classNum}>
                  已上课程
                  <i>99+</i>
                  节
                </span>
                <span class={styles.priceTime}>
                  <i>¥40</i>/25分钟
                </span>
              </p>
            </div>

          </div>
        }} />
    )
  }
})