import { Cell, Sticky, Tab, Tabs } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import List from './list'

export default defineComponent({
  name: 'tradeRecord',
  data() {
    return {
      active: 'buy'
    }
  },
  render() {
    return (
      <div class={styles.tradeRecord}>
        <Tabs
          v-model:active={this.active}
          color="var(--van-primary)"
          lineWidth={28}
          sticky
        >
          <Tab name="buy" title="购买记录">
            <List />
          </Tab>
          <Tab name="refund" title="退费记录">
            <List type="refund" />
          </Tab>
        </Tabs>
      </div>
    )
  }
})
