import ColField from '@/components/col-field'
import ColFieldGroup from '@/components/col-field-group'
import { Button, CellGroup, Field, Form, Toast } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'UserAuth',
  props: {
    onSuccess: {
      // 实名成功
      type: Function,
      default: () => {}
    }
  },
  methods: {
    onSubmit() {
      Toast('实名成功')
      this.onSuccess()
    }
  },
  render() {
    return (
      <Form class={styles.userAuth} onSubmit={this.onSubmit}>
        <ColFieldGroup style={{ marginTop: '15px' }}>
          <ColField title="姓名" required>
            <Field
              name="lessonName"
              maxlength={50}
              placeholder="请输入真实姓名"
              rules={[{ required: false, message: '请输入真实姓名' }]}
            />
          </ColField>
          <ColField title="证件号码" required>
            <Field
              name="lessonSubjectName"
              rules={[{ required: false, message: '请输入身份证号' }]}
              placeholder="请输入身份证号"
            />
          </ColField>
        </ColFieldGroup>

        <div class={['btnGroup']}>
          <Button block round type="primary" native-type="submit">
            确定
          </Button>
        </div>
      </Form>
    )
  }
})
