import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'register',
  render() {
    return (
      <div class={styles.container}>
        欢迎用户使用【管乐迷】应用软件（下称“本软件”），请用户在使用本软件前仔细阅读本协议。如用户不同意本协议任何条款，请勿在本软件注册账号或使用管乐迷基于本软件提供的服务（下称“本服务”）。用户在“注册”或“登录”时点击“同意”等按钮，即表示用户已审慎阅读、充分理解并完全接受本协议的全部内容，本协议即构成管乐迷与用户之间具有约束力的法律文件；如果用户不同意或不接受本协议任何条款，用户应立即停止注册、登录本软件或使用本服务。
        <h2>一、提示</h2>
        1.用户在使用本软件或本服务前，应当认真阅读本协议。请用户务必审慎阅读、充分理解各条款内容，特别是免除或者限制责任的条款、法律适用和争议解决条款。免除或者限制责任的条款将以粗体、下划线标识，用户应审慎阅读并充分理解后，自行选择接受或不接受。如用户对本协议有任何疑问，可联系管乐迷。
        <br />
        2.管乐迷可以随时更新本协议的各项条款，包括但不限于增加新的服务类型或功能，更新后的协议条款一经管乐迷在本软件公布或更新即生效并取代原协议条款，该公布行为视为管乐迷已经向用户进行通知，管乐迷也可以弹窗等方式另行通知用户，此时用户点击“同意”按钮即表示用户已审慎阅读、充分理解并完全接受本协议的最新更新版本的全部内容；用户不接受本协议最新更新版本的，应立即停止使用本软件或本服务；用户继续使用本软件或本服务的，即视为用户接受本协议的最新更新版本。
        <br />
        3.特别提醒：未满18周岁的用户应在法定监护人的陪同下阅读，并且应在法定监护人的同意和指导下注册和/或使用本软件及本服务。
        <h2>二、关于本软件及本服务的重要提示</h2>
        <div style="text-decoration: underline;">
          1.
          用户使用本服务需要下载本软件的客户端版本，本软件的客户端版本提供包括但不限于
          iOS、安卓等多个应用版本，用户必须选择与所安装终端设备相匹配的软件版本。
          用户可以直接从管乐迷的网站上获取本软件，也可以从得到管乐迷授权的第三方获取。如果用户从未经管乐迷授权的第三方获取本软件或与本软件名称相同的安装程序，管乐迷无法保证该软件能够正常使用，并对因此给用户造成的损失不予负责。下载安装程序后，用户需要按照该程序提示的步骤正确安装。
          <br />
          2.
          为了改善用户体验、完善服务内容，管乐迷将不断努力开发新的服务，并为用户不时提供软件更新（这些更新可能会采取软件替换、修改、功能强化、版本升级等形式）。管乐迷有权不经向用户特别通知而对本软件进行更新，或者对本软件的部分功能效果进行改变或限制。新版本发布后，旧版本的软件可能无法使用。管乐迷无法保证旧版本软件继续可用及相应的用户服务，请用户随时核对并下载最新版本。
          <br />
          3.
          用户理解并同意：为了向用户提供有效的服务，本软件会利用用户终端设备的处理器和带宽等资源，用户使用本软件时，需要接入互联网、移动互联网，此时可能产生数据流量的费用，用户需自行向运营商了解相关资费信息，并自行承担接入互联网、移动互联网所需的费用（包括但不限于上网费、通讯费）以及使用本软件及本服务必需的设备（包括但不限于电脑、手机等移动终端设备）。
          <br />
          4.
          管乐迷给予用户一项个人的、不可转让及非排他性的许可，以使用本软件。用户可以为非商业目的在单一台终端设备上安装、使用、显示、运行本软件。用户不得为商业运营目的安装、使用、运行本软件，不可以对该软件或者该软件运行过程中释放到任何计算机终端内存中的数据及该软件运行过程中客户端与服务器端的交互数据进行复制、更改、修改、挂接运行或创作任何衍生作品，形式包括但不限于使用插件、外挂或非经授权的第三方工具/服务接入本软件和相关系统。
          <br />
          5.
          管乐迷将在用户注册本软件、使用本服务的过程中，以电话、电子邮件、微信等形式进一步联系用户进行必要的确认及/或指导，用户注册本软件的行为即视为用户同意接受管乐迷以电话、电子邮件、微信等形式进行的确认及/或指导服务。
          <br />
          6.
          用户同意并接受，管乐迷在提供本软件或本服务的过程中，可以短信、电子邮件、应用软件内弹窗、推送等各种形式向用户投放商业性广告或向用户进行商业推广。
          <br />
          7.
          本协议其他条款未明示授权的其他一切权利仍由管乐迷保留，用户在行使这些权利时须另外取得管乐迷的书面许可。管乐迷如果未行使前述任何权利，并不构成对该权利的放弃。
        </div>
        <h2>三、服务内容</h2>
        1.
        本服务是基于互联网及移动互联网，通过本软件向用户提供【直播教学、学员管理】等功能服务。具体内容及具体规则还可参照管乐迷及/或本软件公示的内容。
        <br />
        2.
        本软件规则包括但不限于管乐迷通过官网、本软件等途径发布的全部规则、细则、解读、说明公告、弹窗、推送等，这些内容均与本协议具有同等法律效力。
        3. 服务费用
        <br />
        用户使用本软件或本服务需要向管乐迷支付费用，具体费用以管乐迷向用户明确提示并与用户与管乐迷之间达成的约定为准；如果用户不向管乐迷支付费用，用户无法使用本软件或本服务的付费服务。
        <h2>四、用户账户注册、使用与管理</h2>
        1. 用户资格
        <br />
        用户开始使用本软件或本服务前，应当具备中华人民共和国法律规定的与用户行为相对应的民事行为能力，否则用户的法定监护人应依照法律规定承担因此而导致的一切后果。
        <br />
        2. 账户说明
        <br />
        用户使用本软件时，应当注册账户，注册时可以使用【手机号码】，用户应当以实名注册，并提供并填写真实、合法、准确、完整的资料和信息，并在相关信息变更时在1个工作日内在本软件更新。因用户提供或填写的资料、信息不符合上述要求而导致的任何问题及后果，应由用户自行承担，管乐迷不对此承担任何责任。当用户按照注册页面提示填写信息、阅读并同意本协议且完成全部注册程序后，用户可获得本软件账户并成为本软件用户。
        <br />
        3. 账户安全规范
        <br />
        3.1用户的账户由用户自行设置、保管及管理。用户应务必保管好用户的账户及密码，当用户每次使用完本软件时，应以正确步骤离开本软件。用户了解并同意，确保用户账户及密码的机密安全是用户的责任。用户将对利用该账户及密码所进行的一切行动及言论负完全的责任，并同意以下事项：
        <br />
        3.1.1
        用户主动泄露账户、密码或遭受他人攻击、诈骗等行为导致的损失及后果，均由用户自行承担；
        <br />
        3.1.2
        用户的账户只限用户本人使用，未经管乐迷事先书面同意，不得将账户提供、转让、许可、出售给任何第三方；
        <br />
        3.1.3
        擅自使用他人账户及密码的，管乐迷及其合法授权主体有权追究实际使用人的法律责任；
        <br />
        3.1.4
        用户应当设置符合本软件要求的密码，并妥善保管和保护密码，不得随意告诉他人，并定期更新密码。管乐迷同时还建议用户通过使用复杂密码等方式，不要使用过于简单的字母或数字，以保证用户的账号、密码安全；
        <br />
        3.1.5
        用户一旦发现任何未经授权使用用户账户访问和/或使用本软件或其他可能导致用户账户遭窃、遗失的情况的，请立即通知管乐迷。
        <br />
        3.2管乐迷有权基于单方独立判断，在其认为可能发生危害交易安全等情形时，不经通知而先行暂停、中断或终止向用户提供本协议项下的全部或部分用户服务，且无需对用户或任何第三方承担任何责任。前述情形包括但不限于：
        <br />
        3.2.1 管乐迷发现异常交易或有合理理由认为存在违法违规情形时；
        <br />
        3.2.2 管乐迷认为用户账户被冒用或管乐迷认为存在风险的其他情形。
        <br />
        4.
        用户忘记或丢失账户、密码时，可以按照本软件提供的申诉途径凭初始注册资料找回账户，但管乐迷并不承诺用户忘记或丢失账户后一定能通过申诉途径找回该账户。本软件的账户或密码找回/重设机制仅负责识别用户在申诉申请上所填资料与系统记录资料的一致性，而无法识别申诉人是否系真正账户使用权人。用户因忘记或丢失账户或密码而遭致任何法律责任或损失的，用户应自行承担全部法律责任及损失，管乐迷不对此承担任何责任。
        <br />
        5.
        用户理解并同意，本软件同大多数互联网软件一样，可能会受多种因素影响，包括但不限于用户原因、网络服务质量、社会环境等；也可能会受各种安全问题的侵扰，包括但不限于他人非法利用用户资料，进行现实中的骚扰；用户下载安装的其他软件或访问的其他网站中可能含有病毒、木马程序或其他恶意程序，威胁用户的终端设备信息和数据安全，继而影响本软件的正常使用等。因此，用户应加强信息安全及个人信息的保护意识，注意密码保护，以免遭受损失。
        <h2>五、用户服务使用规则</h2>
        1. 用户使用本软件或本服务时，不得实施下列行为：
        <br />
        1.1 破坏宪法所确定的基本原则的；
        <br />
        1.2 危害国家安全、泄露国家秘密、颠覆国家政权、破坏国家统一的；
        <br />
        1.3 损害国家荣誉和利益的；
        <br />
        1.4 煽动民族仇恨、民族歧视，破坏民族团结的；
        <br />
        1.5 破坏国家宗教政策，宣扬邪教和封建迷信的；
        <br />
        1.6 散布谣言，扰乱社会秩序，破坏社会稳定的；
        <br />
        1.7 散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的；
        <br />
        1.8
        发布、传送、传播、储存侵害他人合法权益（包括但不限于隐私权、名誉权、肖像权、知识产权、商业秘密等）的内容；
        <br />
        1.9 发布、传送、传播虚假、骚扰、营销、广告、诱导分享等相关的内容；
        <br />
        1.10 违反法律法规或干扰、破坏管乐迷、本软件的正常运营的其他内容。
        <br />
        2. 未经管乐迷事先书面同意，用户使用本软件时不得有下列行为：
        <br />
        2.1以创建相同、类似或竞争服务为目的或其他非法目的访问本软件或使用本服务；
        <br />
        2.2删除、遮掩、修改本软件及其副本上关于著作权的声明；
        <br />
        2.3对本软件或本服务（包括但不限于服务或其内容中的广告、推广或赞助内容）进行任何形式的许可、出售、租赁、转让、发行或做其他商业用途或以其他任何方式侵犯管乐迷的合法权益；
        <br />
        2.4通过修改或伪造软件运行中的指令、数据，或者增加、删减、变动软件的功能或运行效果，或者将用于上述用途的软件、方法进行运营或向公众传播，无论是否基于商业目的；
        <br />
        2.5通过非管乐迷开发、授权的第三方软件、插件、外挂、系统，登录或使用本软件或本服务；
        <br />
        2.6自行或者授权他人、第三方软件对本软件及其组件、模块、数据进行干扰，或在本软件或利用本服务上传或发布病毒、蠕虫、恶意代码、故意破坏或改变系统或数据的软件；
        <br />
        2.7其他未经管乐迷明示授权的行为。
        <br />
        3.
        用户内容是指用户上传、提供信息和资料或以其他方式使用本软件与本服务时产生的所有内容（包括但不限于用户信息、资料、图片、音视频或其他内容），用户是用户内容的唯一的责任人，应当承担因用户内容披露而导致的用户或任何第三方被识别的风险。
        <br />
        4.
        用户充分了解并同意，用户必须为自己注册账号下的一切行为和结果负责，包括但不限于用户所发表的任何内容以及由此产生的任何后果。用户应对本服务中的内容自行加以判断，并承担因使用内容而引起的所有风险，包括因对内容的正确性、完整性或实用性的依赖而产生的风险。管乐迷无法且不会对因前述风险而导致的任何损失或损害承担责任。
        <h2>六、第三方链接及服务</h2>
        1.
        本软件或本服务可能保留有第三方网站或网址的链接，访问这些链接将由用户自己做出决定，管乐迷并不就这些链接上所提供的任何信息、数据、观点、图片、陈述或建议的准确性、完整性、充分性和可靠性提供承诺或保证。管乐迷没有审查过任何第三方网站，对这些网站及其内容不进行控制，也不负任何责任。如果用户决定访问任何与本站链接的第三方网站，其可能带来的结果和风险全部由用户自己承担。
        <br />
        2.
        用户在使用本软件中第三方提供的产品或服务时，除遵守本协议约定外，还应遵守该第三方的用户协议。管乐迷和第三方对可能出现的纠纷在法律规定和约定的范围内各自承担责任。因用户使用本软件或要求管乐迷提供特定服务时，本软件可能会调用第三方系统或者通过第三方支持用户的使用或访问，使用或访问的结果由该第三方提供（包括但不限于第三方通过公众账号提供的服务，或通过开放平台接入的内容等），管乐迷不保证通过第三方提供服务及内容的安全性、准确性、有效性及其他不确定的风险，由此若引发的任何争议及损害，与管乐迷无关，管乐迷不承担任何责任。
        <br />
        3.
        用户已知晓并同意管乐迷提供本服务（无论是免费服务还是付费服务）还可能基于第三方如合作单位（包括但不限于电信运营商）提供的技术支持等服务获得。如果因第三方提供的服务给用户增加任何成本或造成任何损失的，管乐迷会协助用户与第三方进行沟通和处理，如因此发生维修、更换等费用的，应由用户自行承担，管乐迷不对此承担任何法律责任和赔偿责任。
        <h2>七、知识产权的保护以及保密</h2>
        1.
        管乐迷的商标、商号、Logo、图形及其组合，以及管乐迷的其他标识、产品和服务名称均为管乐迷或管乐迷关联公司所有，未经管乐迷书面授权，任何人不得以任何方式展示、使用或作其他处理，也不得向任何第三方表明或让其误认为用户或第三方有权展示、使用或作其他处理。
        <br />
        2.
        管乐迷向用户提供的培训、课程相关的全部内容（包括但不限于任何文本、图片、音视频、培训课程设置、培训课件、教材等）的知识产权均归管乐迷单独和完整所有。用户应当保护管乐迷的知识产权，只能用于自身学习之目的，未经管乐迷事先书面同意，不得擅自将培训课程相关的任何内容进行复制、复印、影音、拍摄或进行摘要、改编、汇编等措施后以发布、转让、出售、赠与或其他任何形式提供给任何第三方，或擅自以非自用目的使用，否则管乐迷有权追究其法律责任。
        <br />
        3.
        未经管乐迷事先同意，用户不得对授课内容录音、录像、直播或者组织多人同时观看，不得将管乐迷提供的任何资料进行复制、销售、出租或授权给任何第三方。如管乐迷发现用户存在上述行为的，有权暂停向用户提供本服务，并有权追究相关法律责任。
        <br />
        4.
        管乐迷为提供服务而使用的任何软件（包括但不限于软件中所含的任何图象、照片、动画、录像、录音、音乐、文字和附加程序、随附的帮助材料）的一切权利均属于该软件的著作权人，未经该软件的著作权人许可，用户不得对该软件进行反向工程（reverse
        engineer）、反向编译（decompile）或反汇编（disassemble）。
        <br />
        5.
        用户已经了解并同意：在管乐迷提供的所有服务器上的数据(包括但不限于虚拟物品等)全部归管乐迷所有。在不影响用户正常接收服务的情况下，管乐迷有权决定保留或不保留服务器上的全部或部分数据。
        <br />
        6.
        用户已经了解并同意：管乐迷有权将本协议项下管乐迷所有的知识产权授权第三方使用，在变更本软件或本服务运营商时，管乐迷可以将其运营的产品或服务以及与该在产品或服务相关的归管乐迷所有的知识产权转让给新的产品运营商。
        <br />
        7.
        用户使用管乐迷提供的本软件或本服务期间获取的文件、资料、表格等信息，包括但不限于有关合作资料、营销资料等，无论是口头、书面的或是电子文件形式的，均属管乐迷的商业秘密，用户必须对这些商业秘密严格遵守保密义务，不得向外透露，也不得使用这些商业秘密为自己或他人谋取利益。
        <br />
        8.
        对于用户上传至本软件的任何内容（包括但不限于资料、音视频），用户同意授权管乐迷在全世界范围内永久性、免费且不可撤销的非独家的许可，管乐迷有权对这些内容的全部或部分进行使用、复制、发行、展览展示、表演、放映、广播、修改或改编、翻译、汇编以及通过信息网络传播等。
        <h2>八、违约条款</h2>
        1.
        用户违反本协议约定时即构成违约情形，管乐迷有权要求用户采取及时的补救措施，消除违约后果，并有权终止本协议。如用户的违约行为使管乐迷及/或关联公司遭受损失（包括自身的直接经济损失、商誉损失及对外支付的赔偿金、和解款、律师费、诉讼费等间接经济损失）的，用户应赔偿管乐迷及/或关联公司的上述全部损失。
        <br />
        2.
        用户理解并同意，如用户的行为导致第三方向管乐迷及/或关联公司主张权利或任何索赔、要求或损失的，管乐迷及/或关联公司在对第三人承担赔偿义务后可向用户追偿与此相关的全部损失。
        <br />
        <h2>九、协议变更、解除或终止</h2>
        1.
        管乐迷有权随时变更、暂停或终止部分或全部服务，此时若变更、暂停或终止的服务为付费服务的，管乐迷将提前在应用软件以公告通知、推送、弹窗等方式通知用户；如变更、暂停或终止的服务为免费服务的，管乐迷将不会另行通知用户，也不会对用户或第三方承担任何责任。
        <br />
        2. 用户有权通过以下任一方式终止本协议：
        <br />
        2.1用户自行注销用户的账户的；
        <br />
        2.2变更事项生效或服务协议更新时，用户停止使用或以不点击“同意”按钮等方式明示不愿接受变更事项或更新后的服务协议的；
        <br />
        2.3用户明确表示不愿继续使用本软件或本服务（包括但不限于拒绝付费、续费等），且符合本协议终止条件的。
        <br />
        3. 出现以下情况时，管乐迷可以终止本协议：
        <br />
        3.1用户违反本协议约定的（包括但不限于提供虚假资料、违反用户使用规则等），管乐迷依据违约条款终止本协议；
        <br />
        3.2用户的账户被管乐迷依据本协议进行注销等处理的；
        <br />
        3.3用户在使用本软件或本服务时存在侵犯他人合法权益或其他严重违法违规行为的；
        <br />
        3.4根据相关法律法规规定管乐迷应当终止服务或管乐迷认为需终止服务的其他情形。
        <br />
        4.
        因不可抗力（指双方不可预见、或可以预见但不能避免并或克服的客观情况，该事件妨碍、影响或延误任何一方根据合同履行其全部或部分义务。该事件包括但不限于政府行为、法律或规定的发布或修订，自然灾害、战争、网络堵塞或中断、黑客袭击或任何其他类似事件）导致本协议不能履行的情形持续30天以上时，管乐迷与用户协商一致后，可以解除本协议。
        <br />
        5. 协议终止后的处理
        <br />
        本协议终止后，除法律有明确规定外，管乐迷无义务向用户或用户指定的第三方披露用户账户中的任何信息。
        <br />
        <h2>十、免责声明</h2>
        <div style="text-decoration: underline;">
          1.
          用户使用本软件或本服务的风险应由用户自行承担，管乐迷对本软件不作任何类型的担保，不论是明示的、默示的保证和条件，包括但不限于本软件的适销性、适用性、无病毒、无疏忽或无技术瑕疵问题、所有权和无侵权的明示或默示担保和条件，对在任何情况下因使用或不能使用本软件所产生的直接、间接、偶然、特殊及后续的损害及风险，管乐迷不承担任何责任。
          <br />
          2.
          管乐迷不担保本软件或本服务一定能满足用户的要求，也不对本服务的及时性、安全性、准确性作出任何保证。
          <br />
          3.
          用户明确理解和同意，管乐迷不对因下述任一情况而导致的损害赔偿承担责任，包括但不限于利润、商誉、使用、数据等方面的损失或其它无形损失的损害赔偿：
          <br />
          3.1管乐迷向用户免费提供的任何产品或者服务；
          <br />
          3.2管乐迷向用户赠送的任何产品或者服务；
          <br />
          3.3对于用户使用本软件上可能涉及由第三方所有、控制或者运营的网站或平台提供的服务及其导致的风险；
          <br />
          3.4因用户的过错导致的任何损失，该过错包括但不限于：决策失误、操作不当、遗忘或泄露密码、密码被他人破解、用户使用的计算机系统被第三方侵入、用户向管乐迷发送的指令信息不明确或存在歧义、用户下载非法或不明程序、用户委托他人代理交易时他人恶意或不当操作而造成的损失；
          <br />
          3.5信息网络设备连接故障，电脑、通讯或其他系统出现故障，不能进行数据传输、保存的；
          <br />
          3.6本软件或其服务器或设备停机检修维护期间，无论是定期还是不定期的；
          <br />
          3.7不可抗力因素导致的任何损失；
          <br />
          3.8管乐迷依据本协议约定终止协议时。
          <br />
          4.
          用户理解并同意，因管乐迷过错导致用户不能享受相应服务，管乐迷承担相应责任的最高限额不超过用户实际支付的当次服务费用总额。的其他一切权利仍由管乐迷保留，用户在行使这些权利时须另外取得管乐迷的书面许可。管乐迷如果未行使前述任何权利，并不构成对该权利的放弃。
        </div>
        <h2>十一、隐私权保护政策</h2>
        管乐迷非常重视用户的隐私，用户及用户的监护人同意，管乐迷向用户提供本服务时，会收集、使用必要的用户个人信息，并将收集到的信息用于提供本服务必需的目的和场景。管乐迷不会收集与提供本服务无关的用户个人信息，具体隐私权保护政策详见管乐迷或本软件公示的《隐私政策》。
        <h2>十二、争议解决及适用法律</h2>
        1.
        本协议及其修订的有效性、履行、解释及争议解决，均适用中华人民共和国大陆地区法律。
        <br />
        2.
        用户与管乐迷之间就本协议发生的任何纠纷或争议，首先应友好协商解决，协商不成的，任何一方均有权向管乐迷所在地有管辖权的法院提起诉讼。
        <br />
        <h2>十三、其他</h2>
        1.
        管乐迷在本协议项下对用户的通知可通过应用软件内弹窗、推送、电子邮件、短信或邮寄等方式进行，通过应用软件内弹窗、推送方式的，用户打开应用软件并首次遇到该弹窗、推送时视为送达完毕；以电子邮件、短信方式的，发送成功即视为送达完毕；以邮寄方式的，寄出后3个工作日后即视为送达完毕。
        <br />
        2.
        如本协议中的任何条款无论因何种原因导致全部或部分无效或不具有执行力的，则该条款应视为自始不存在且不影响本协议其他条款的效力，此时该条款可被新的条款所取代，以保证最大限度地接近双方意图、确保本协议要求的经济目的，以及实现原有条款的意图。
        <br />
        3.
        本协议中的标题仅为方便而设，本身并无实际涵义，不能作为本协议涵义解释的依据。
        <br />
        4.
        如用户对本软件、本服务或本协议内容有任何疑问、意见或建议，用户可联系管乐迷，
        <br />
        联系电话：027-87718176，
        <br />
        邮寄地址：武昌区武珞路230号绿洲广场B座1层
        <br />
        管乐迷将及时回复用户的请求。
      </div>
    )
  }
})
